> For the complete documentation index, see [llms.txt](https://developer.aiodds.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.aiodds.com/bookmaker-odds/translate/markets.md).

# Markets

## List Market Translations

> Lists market names in all supported languages, together with their deletion status and latest update time. Requests can continue from the last record returned.

```json
{"openapi":"3.0.1","info":{"title":"AiOdds Document","version":"1.0.0"},"tags":[{"name":"Translate","description":"Translation endpoints."}],"servers":[{"url":"https://api.aiodds.com"}],"paths":{"/v1/translate/market/list":{"get":{"summary":"List Market Translations","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetV1MarketTranslationsResponse"}}}}},"tags":["Translate"],"description":"Lists market names in all supported languages, together with their deletion status and latest update time. Requests can continue from the last record returned.","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"last_id","in":"query","required":true,"schema":{"type":"integer"},"description":"The last item's \"id\" returned in the structure \"data.list\""},{"name":"last_updated_at","in":"query","required":true,"schema":{"type":"integer"},"description":"The last item's \"updated_at\" returned in the structure \"data.list\""},{"name":"limit","in":"query","required":false,"schema":{"type":"integer"},"description":"the length of \"data.list\" returned,the default is 100"}]}}},"components":{"schemas":{"GetV1MarketTranslationsResponse":{"type":"object","properties":{"code":{"type":"integer","description":"Status code"},"msg":{"type":"string","description":"Message description"},"data":{"type":"object","description":"Response payload","properties":{"list":{"type":"array","description":"List of returned items","items":{"type":"object","properties":{"id":{"type":"integer","description":"Translation id"},"sport_id":{"type":"integer","description":"Sport id"},"market_id":{"type":"integer","description":"Market id"},"market_name":{"type":"string","description":"Default market name"},"lang_es":{"type":"string","description":"Spanish"},"lang_en":{"type":"string","description":"English"},"lang_tr":{"type":"string","description":"Turkish"},"lang_de":{"type":"string","description":"German"},"lang_ko":{"type":"string","description":"Korean"},"lang_fr":{"type":"string","description":"French"},"lang_it":{"type":"string","description":"Italian"},"lang_ja":{"type":"string","description":"Japanese"},"lang_pt":{"type":"string","description":"Portuguese"},"lang_hi":{"type":"string","description":"Hindi"},"deleted":{"type":"integer","description":"Whether this translation is deleted, 0-No, 1-Yes"},"updated_at":{"type":"integer","description":"Update time"}}}}}}}}},"parameters":{"User":{"name":"user","in":"query","required":true,"schema":{"type":"string"},"description":"Username, please contact business."},"Secret":{"name":"secret","in":"query","required":true,"schema":{"type":"string"},"description":"User secret, please contact business."}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.aiodds.com/bookmaker-odds/translate/markets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
